﻿Imports C1.C1Report
Imports C1.C1Preview

Class MainWindow

    Dim Pages() As System.Drawing.Imaging.Metafile
    Dim index As Integer = 0

    Private Sub Window_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
        Dim C1Report1 As New C1Report
        Dim C1Report2 As New C1Report
        Dim C1PrintDocument1 As New C1.C1Preview.C1PrintDocument

        'Load the reports
        C1Report1.Load("Report1.xml", "Sales by Category Report")
        C1Report2.Load("Report2.xml", "Employees Report")

        C1PrintDocument1.PageLayout.PageSettings.LeftMargin = "0in"
        C1PrintDocument1.PageLayout.PageSettings.TopMargin = "0in"

        C1Report1.Render()
        C1Report2.Render()

        Dim i As Integer

        'get pageimages of report1
        For Each Page In C1Report1.GetPageImages()
            ReDim Preserve Pages(index)
            Pages.SetValue(Page, index)
            index += 1
        Next

        'get pageimages of report2
        For Each Page In C1Report2.GetPageImages()
            ReDim Preserve Pages(index)
            Pages.SetValue(Page, index)
            index += 1
        Next

        'add images from array to PrintDocument as RenderImages
        For i = 0 To Pages.Length - 1
            Dim PageImage As New RenderImage(Pages(i))
            C1PrintDocument1.Body.Children.Add(PageImage)
            C1PrintDocument1.Reflow()
        Next

        'Preview the C1PrintDocument
        C1DocumentViewer1.Document = C1PrintDocument1.FixedDocumentSequence
    End Sub
End Class
